%define major 0
%define libname %mklibname v4l %{major}
%define devname %mklibname v4l -d
%define wrappersname %mklibname v4l-wrappers

Summary:	Linux V4L2 and DVB API utilities
Name:		v4l-utils
Version:	1.8.1
Release:	1
License:	LGPLv2.1+
Group:		System/Libraries
Url:		http://git.linuxtv.org/v4l-utils.git
Source0:	http://linuxtv.org/downloads/v4l-utils/%{name}-%{version}.tar.bz2
Source100:	%{name}.rpmlintrc
#Patch0:	fix-missing-includes.patch
BuildRequires:	jpeg-devel
BuildRequires:	qt4-devel
BuildRequires:	sysfsutils-devel
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(udev)
Conflicts:	ivtv-utils < 1.4.0-2
Requires:	%{wrappersname} >= %{EVRD}

%description
v4l-utils is the combination of various v4l and dvb utilities which used to be
part of the v4l-dvb mercurial kernel tree.

%files
%config(noreplace) %{_sysconfdir}/rc_maps.cfg
%config(noreplace) /lib/udev/rules.d/70-infrared.rules
/lib/udev/rc_keymaps/*
%{_bindir}/cx18-ctl
%{_bindir}/decode_tm6000
%{_bindir}/ir-keytable
%{_bindir}/rds-ctl
%{_bindir}/v4l2-compliance
%{_bindir}/v4l2-ctl
%{_bindir}/dvb-fe-tool
%{_bindir}/dvb-format-convert
%{_bindir}/dvbv5-scan
%{_bindir}/dvbv5-zap
%{_bindir}/v4l2-sysfs-path
%{_sbindir}/v4l2-dbg
%{_mandir}/man1/ir-keytable.1.*
%{_bindir}/media-ctl
%{_mandir}/man1/dvb-fe-tool.1*
%{_mandir}/man1/dvb-format-convert.1*
%{_mandir}/man1/dvbv5-scan.1*
%{_mandir}/man1/dvbv5-zap.1*
%{_localedir}/pt_BR/LC_MESSAGES/libdvbv5.mo
%{_localedir}/pt_BR/LC_MESSAGES/v4l-utils.mo
%{_mandir}/man1/v4l2-compliance.1*
%{_mandir}/man1/v4l2-ctl.1*

#----------------------------------------------------------------------------

%package -n v4l-utils-qt4
Summary:	Qt4 tools for v4l applications
Group:		System/Libraries

%description -n v4l-utils-qt4
v4l-utils-qt4 is a QT4 gui for the v4l-utils tools.

%files -n v4l-utils-qt4
%{_bindir}/qv4l2
%{_datadir}/applications/qv4l2.desktop
%{_iconsdir}/hicolor/*/apps/qv4l2.*
%{_mandir}/man1/qv4l2.1*

#----------------------------------------------------------------------------

%package -n %{wrappersname}
Summary:	Wrappers for v4l applications
Group:		System/Libraries
Provides:	v4l-wrappers = %{EVRD}

%description -n %{wrappersname}
This package contains wrapper libraries that adds v4l2 device compatibility for
v4l1 applications and support for various pixelformats to v4l2 applications.

%files -n %{wrappersname}
%dir %{_libdir}/libv4l
%dir %{_libdir}/libv4l/plugins
%{_libdir}/libv4l/v4l1compat.so
%{_libdir}/libv4l/v4l2convert.so
%{_libdir}/libv4l/*-decomp
%{_libdir}/libv4l/plugins/libv4l-mplane.so

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Thin abstraction layer for video4linux2 devices
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{libname}
libv4l is a collection of libraries which adds a thin abstraction layer on top
of video4linux2 devices. The purpose of this (thin) layer is to make it easy
for application writers to support a wide variety of devices without having
to write separate code for different devices in the same class.

%files -n %{libname}
%{_libdir}/libv4l1.so.%{major}*
%{_libdir}/libv4l2*.so.%{major}*
%{_libdir}/libdvbv5.so.%{major}*
%{_libdir}/libv4lconvert.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files from libv4l
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	libv4l-devel = %{EVRD}

%description -n %{devname}
This package contains the development files needed to build programs that
use libv4l.

%files -n %{devname}
%{_includedir}/*.h
%{_includedir}/libdvbv5
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--enable-libdvbv5 \
	--disable-static
%make

%install
%makeinstall_std PREFIX="%{_prefix}" LIBDIR="%{_libdir}"

# already provided by ivtv-utils package, more uptodate/complete there
rm -f %{buildroot}%{_bindir}/ivtv-ctl

%changelog

* Mon Dec 28 2015 dsilakov <denis.silakov@rosalab.ru> 1.8.1-1
- (fc354fb) Merge pull request #7 from import/v4l-utils:auto_update
- (fc354fb) Updated to 1.8.1 (by updates_builder)


